// Copyright © 2020 Amazon Web Services
//  Copyright © Microsoft Corporation
//
//  Licensed under the Apache License, Version 2.0 (the "License");
//  you may not use this file except in compliance with the License.
//  You may obtain a copy of the License at
//
//       http://www.apache.org/licenses/LICENSE-2.0
//
//  Unless required by applicable law or agreed to in writing, software
//  distributed under the License is distributed on an "AS IS" BASIS,
//  WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
//  See the License for the specific language governing permissions and
//  limitations under the License.

package org.opengroup.osdu.register.provider.aws.util;

import org.opengroup.osdu.register.action.model.Filter;

import java.nio.ByteBuffer;
import java.sql.Timestamp;

public class TestUtils {

    private TestUtils() {
    }

    private static final String dataPartitionId = "opendes";

    //Action
    private static final String action_id = "ActionTestId1";
    private static final String action_name = "ActionTestName";
    private static final String action_description = "ActionTestDescription";
    private static final String action_img = "https://mycdn.com/img.png";
    private static final String action_url = "https://myapp.osdu.opengroup.org/action/{id}/{data.project}";
    private static final String action_contactEmail = "testuser@test.com";
    private static Filter action_filter = new Filter();


    //Ddms

    private static final String ddms_id = "DdmsTestId1";
    private static final String ddms_name = "DdmsTestName";
    private static final String ddms_description = "ddmsTestDescription";
    private static final String ddms_contactEmail = "testuser@test.com";

    //Subscription
    private static final String sub_id = "SubTestid1";
    private static final String sub_secretValue = "test-secret-value";
    private static final String sub_secretType = "test-secret-type";
    private static final String sub_topicName = "aws-topic-arn";

    private static final String sub_notificationId= "testNotificationId";


    private static final String sub_sns_subscriptionArn = "testArn";



    private static final String sub_encrypted_secret_value = "test-encrypted-value";



    private static final String sub_updated_encrypted_secretValue = "test-updated-encrypted-secret-value";


    public static String getAction_id() {
        return action_id;
    }

    public static String getAction_name() {
        return action_name;
    }

    public static String getAction_description() {
        return action_description;
    }

    public static String getAction_img() {
        return action_img;
    }

    public static String getAction_url() {
        return action_url;
    }

    public static Filter getAction_filter() {
        return action_filter;
    }

    public static String getDataPartitionId() {
        return dataPartitionId;
    }

    public static String getAction_contactEmail() { return action_contactEmail; }

    public static String getDdms_id() {
        return ddms_id;
    }

    public static String getDdms_name() {
        return ddms_name;
    }

    public static String getDdms_description() {
        return ddms_description;
    }

    public static String getDdms_contactEmail() {
        return ddms_contactEmail;
    }


    public static String getSub_secretValue_string() {
        return sub_secretValue;
    }


    public static ByteBuffer getSub_secretValue_bytebuffer() {
        return ByteBuffer.wrap(sub_secretValue.getBytes());
    }
    public static String getSub_secretType() {
        return sub_secretType;
    }

    public static String getSub_topicName() {
        return sub_topicName;
    }

    public static String getSub_id() {
        return sub_id;
    }


    public static String getSub_encrypted_secret_value_string() {
        return sub_encrypted_secret_value;
    }

    public static ByteBuffer getSub_encrypted_secret_value_bytebuffer() {

        return ByteBuffer.wrap(sub_encrypted_secret_value.getBytes());
    }

    public static String getSub_sns_subscriptionArn() {
        return sub_sns_subscriptionArn;
    }

    public static String getSub_updated_encrypted_secretValue() {
        return sub_updated_encrypted_secretValue;
    }

    public static ByteBuffer getSub_updated_encrypted_secretValue_bytebuffer() {
        return ByteBuffer.wrap(sub_updated_encrypted_secretValue.getBytes());
    }

    public static String getSub_notificationId() {
        return sub_notificationId;
    }

}






