// Copyright © Microsoft Corporation
//
// Licensed under the Apache License, Version 2.0 (the "License");
// you may not use this file except in compliance with the License.
// You may obtain a copy of the License at
//
//      http://www.apache.org/licenses/LICENSE-2.0
//
// Unless required by applicable law or agreed to in writing, software
// distributed under the License is distributed on an "AS IS" BASIS,
// WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
// See the License for the specific language governing permissions and
// limitations under the License.

package org.opengroup.osdu.register.provider.azure.action;

import lombok.AllArgsConstructor;
import lombok.Getter;
import lombok.NoArgsConstructor;
import org.opengroup.osdu.register.action.model.Action;
import org.opengroup.osdu.register.action.model.Filter;

import java.sql.Timestamp;

@Getter
@AllArgsConstructor
@NoArgsConstructor
public class ActionDoc {
    private String id;
    private String name;
    private String description;
    private String img;
    private String url;
    private String contactEmail;
    private Timestamp createdOnEpoch;
    private Filter filter;
    private String dataPartitionId;

    public ActionDoc(Action action, String dataPartitionId){
        this.id = action.getId();
        this.name = action.getName();
        this.description = action.getDescription();
        this.img = action.getImg();
        this.url = action.getUrl();
        this.contactEmail = action.getContactEmail();
        this.filter = action.getFilter();
        this.createdOnEpoch = new Timestamp(System.currentTimeMillis());
        this.dataPartitionId = dataPartitionId;
    }
}
