#!/bin/bash

# Exit as soon as a command fails
set -e

# Deploy register to a private project if an env variable with name 'PRIVATE_DEPLOY_PROJECT'
if [ "$PRIVATE_DEPLOY_PROJECT" = "" ]
then
    echo "No private deployment project specified, continuing to the next step in build"
else
    echo "Deploying Register to Google project $PRIVATE_DEPLOY_PROJECT"
    export GCLOUD_PROJECT=$PRIVATE_DEPLOY_PROJECT
    export BUILD_FORCE_DEPLOY=true
    echo "##vso[build.addbuildtag]Private Deploy - $PRIVATE_DEPLOY_PROJECT"
    ./deploy.sh
    echo "Register service deployed successfully"
fi